import Vue from 'vue'
import App from './App'
import store from './store' // store
import plugins from './plugins' // plugins
import './permission' // permission
import {
	checkPermi
} from '@/utils/permission'
Vue.use(plugins)

Vue.config.productionTip = false
Vue.prototype.$store = store
Vue.prototype.checkPermi = checkPermi

App.mpType = 'app'

const app = new Vue({
	...App
})

app.$mount()